### Function

# Gsk RenderReplayFontFilter

since: 4.22

#### Declaration

    PangoFont*
    (* GskRenderReplayFontFilter) (
      GskRenderReplay* replay,
      PangoFont* font,
      gpointer user_data
    )

#### Description [src]

A function that filters fonts.

The function will be called by the default replay function for all nodes with fonts. They will then generate a node using the returned font.

It is valid for the function to return the passed in font if the font shuld not be modified.

Available since: 4.22

#### Parameters

`replay`

  Type: `GskRenderReplay`

  The replay object used to replay the node.

  The data is owned by the caller of the function.

`font`

  Type: `PangoFont`

  The font to filter.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PangoFont`

The filtered font.

The caller of the function takes ownership of the data, and is responsible for freeing it.